package com.huimv.admin.controller.secondary;


import com.huimv.admin.domain.secondary.DaLqda;
import com.huimv.admin.service.secondary.DaLqdaService;
import com.huimv.admin.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@CrossOrigin
@RequestMapping("/DaLqda")
public class DaLqdaController {

	@Autowired
	private DaLqdaService service;

	@RequestMapping("/add")
	public Result add(DaLqda childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result remove(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(DaLqda childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }


	@RequestMapping("/findAll")
	public Result findAll(String name ,Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}

}
